#
# spec file for package python-django-sekizai
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-django-sekizai
Version:        1.1.0
Release:        bp156.3.1
Summary:        Django Template Blocks with extra functionality
License:        MIT
URL:            https://github.com/ojii/django-sekizai
Source:         https://github.com/divio/django-sekizai/archive/%{version}.tar.gz
Patch0:         django-sekizai-pycodestyle.patch
BuildRequires:  %{python_module Django >= 1.11}
BuildRequires:  %{python_module django-classy-tags >= 0.3.1}
BuildRequires:  %{python_module pycodestyle}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Django >= 1.11
Requires:       python-django-classy-tags >= 0.3.1
BuildArch:      noarch
%python_subpackages

%description
Django Template Blocks with extra functionality

%prep
%setup -q -n django-sekizai-%{version}
%autopatch -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%license LICENSE.txt
%doc README.rst
%{python_sitelib}/*

%changelog
* Thu Feb 20 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.1.0:
  * Added support for Django 3.0
  * Added support for Python 3.8
  * Extended test matrix
  * Added isort and adapted imports
  * Adapted code base to align with other supported addons
  * Adapted README.rst instructions
- Rebase patch django-sekizai-pycodestyle.patch
* Fri May 24 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.0.0:
  * Fixes for new djangos/python releases
- Remove merged patches:
  * django-sekizai-py37.patch
  * django-sekizai-django2.patch
* Fri Jan  4 2019 Jan Engelhardt <jengelh@inai.de>
- Avoid name repetition in summary.
* Thu Jan  3 2019 Tomáš Chvátal <tchvatal@suse.com>
- Add patch to work with py37:
  * django-sekizai-py37.patch
- Add patch to work without pep8 module:
  * django-sekizai-pycodestyle.patch
* Thu Jan  3 2019 Tomáš Chvátal <tchvatal@suse.com>
- Add patch to work with current djangos:
  * django-sekizai-django2.patch
* Thu Jan  3 2019 Tomáš Chvátal <tchvatal@suse.com>
- Initial commit, needed by django_compressor
